Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1913828 - [abrt] libreoffice-core: (anonymous namespace)::signalHandlerFunction(): soffice.bin killed by SIGABRT
Summary: [abrt] libreoffice-core: (anonymous namespace)::signalHandlerFunction(): soff...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 32
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:051d8dcda73c8bea8842df221d0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-07 17:09 UTC by koraq
Modified: 2021-01-16 01:23 UTC (History)
4 users (show)

Fixed In Version: libreoffice-6.4.7.2-4.fc32 libreoffice-7.0.4.2-3.eln108 libreoffice-7.0.4.2-3.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-11 19:01:10 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (68.01 KB, text/plain)
2021-01-07 17:09 UTC, koraq
no flags Details
File: core_backtrace (24.16 KB, text/plain)
2021-01-07 17:09 UTC, koraq
no flags Details
File: cpuinfo (2.48 KB, text/plain)
2021-01-07 17:09 UTC, koraq
no flags Details
File: dso_list (27.69 KB, text/plain)
2021-01-07 17:09 UTC, koraq
no flags Details
File: environ (2.39 KB, text/plain)
2021-01-07 17:09 UTC, koraq
no flags Details
File: limits (1.29 KB, text/plain)
2021-01-07 17:09 UTC, koraq
no flags Details
File: maps (167.38 KB, text/plain)
2021-01-07 17:09 UTC, koraq
no flags Details
File: mountinfo (2.98 KB, text/plain)
2021-01-07 17:09 UTC, koraq
no flags Details
File: open_fds (2.29 KB, text/plain)
2021-01-07 17:09 UTC, koraq
no flags Details
File: proc_pid_status (1.35 KB, text/plain)
2021-01-07 17:09 UTC, koraq
no flags Details
File: xsession_errors (136 bytes, text/plain)
2021-01-07 17:09 UTC, koraq
no flags Details

Description koraq 2021-01-07 17:09:34 UTC
Description of problem:
I was trying to insert a ToC and was moving styles back and forth into the levels represented in the ToC

Version-Release number of selected component:
1:libreoffice-core-6.4.7.2-3.fc32

Additional info:
reporter:       libreport-2.13.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/session-3.scope
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer /home/ante/Clients/Scania/Documentation/VDI-install.odt --splash-pipe=6
crash_function: (anonymous namespace)::signalHandlerFunction
executable:     /usr/lib64/libreoffice/program/soffice.bin
journald_cursor: s=39a699bcc16c4cde9eb9468070f099c5;i=29e4;b=8c40e6b6085544fdb8f4671572d63fd3;m=130d95b64c;t=5b85161dd59f1;x=53b26dc3cd9583d1
kernel:         5.9.9-100.fc32.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 koraq 2021-01-07 17:09:38 UTC
Created attachment 1745352 [details]
File: backtrace

Comment 2 koraq 2021-01-07 17:09:40 UTC
Created attachment 1745353 [details]
File: core_backtrace

Comment 3 koraq 2021-01-07 17:09:42 UTC
Created attachment 1745354 [details]
File: cpuinfo

Comment 4 koraq 2021-01-07 17:09:45 UTC
Created attachment 1745355 [details]
File: dso_list

Comment 5 koraq 2021-01-07 17:09:46 UTC
Created attachment 1745356 [details]
File: environ

Comment 6 koraq 2021-01-07 17:09:48 UTC
Created attachment 1745357 [details]
File: limits

Comment 7 koraq 2021-01-07 17:09:51 UTC
Created attachment 1745358 [details]
File: maps

Comment 8 koraq 2021-01-07 17:09:53 UTC
Created attachment 1745359 [details]
File: mountinfo

Comment 9 koraq 2021-01-07 17:09:55 UTC
Created attachment 1745360 [details]
File: open_fds

Comment 10 koraq 2021-01-07 17:09:57 UTC
Created attachment 1745361 [details]
File: proc_pid_status

Comment 11 koraq 2021-01-07 17:09:58 UTC
Created attachment 1745362 [details]
File: xsession_errors

Comment 12 Caolan McNamara 2021-01-11 10:12:30 UTC
The crashing line was introduced with https://gerrit.libreoffice.org/c/core/+/73737/

Comment 13 Fedora Update System 2021-01-11 19:01:10 UTC
FEDORA-2021-17f44e343f has been pushed to the Fedora ELN stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2021-01-11 19:50:45 UTC
FEDORA-2021-f3aed4fafc has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-f3aed4fafc

Comment 15 Fedora Update System 2021-01-11 19:50:46 UTC
FEDORA-2021-bad19f4029 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-bad19f4029

Comment 16 Fedora Update System 2021-01-12 01:09:22 UTC
FEDORA-2021-bad19f4029 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-bad19f4029`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-bad19f4029

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2021-01-12 01:26:45 UTC
FEDORA-2021-f3aed4fafc has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-f3aed4fafc`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-f3aed4fafc

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 18 Fedora Update System 2021-01-13 01:59:07 UTC
FEDORA-2021-f3aed4fafc has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Fedora Update System 2021-01-16 01:23:17 UTC
FEDORA-2021-bad19f4029 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.